import { Base, Type } from "igniteui-angular-core";
import { ISupportSetProperty } from "./ISupportSetProperty";
import { CT_LineSer } from "./CT_LineSer";
import { ElementPropertyIds } from "./ElementPropertyIds";
/**
 * @hidden
 */
export declare class CT_FilteredLineSer extends Base implements ISupportSetProperty {
    static $t: Type;
    private b;
    constructor();
    a: CT_LineSer;
    setProperty(a: ElementPropertyIds, b: any): void;
    toString(): string;
}
